Summary: DVB Daemon for GNOME
Name: gnome-dvb-daemon
Version: 0.1.12
Release: %mkrel 1
Source0: http://launchpad.net/%name/trunk/%version/+download/%{name}-%{version}.tar.bz2
Patch: gnome-dvb-daemon-0.1.11-fix-scan-dir.patch
#gw from bzr, needed to rebuild the vala files
Patch1: gnome-dvb-daemon-0.1.8.1-vala-api.patch
License: GPLv3
Group: Video
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
URL: http://live.gnome.org/DVBDaemon
BuildRequires: gstreamer0.10-devel >= 0.10.19
BuildRequires: gst-rtsp-server-devel >= 0.10.4
BuildRequires: libgee-devel >= 0.5
BuildRequires: intltool
BuildRequires: sqlite3-devel >= 3.4
BuildRequires: libGConf2-devel >= 2.6.1
BuildRequires: dbus-glib-devel >= 0.74
BuildRequires: gstreamer0.10-plugins-good
BuildRequires: gstreamer0.10-plugins-bad
BuildRequires: python-devel
BuildRequires: python-dbus
BuildRequires: vala
BuildRequires: gstreamer0.10-python
Requires: python-dbus
Requires: gstreamer0.10-plugins-good
Requires: gstreamer0.10-plugins-bad >= 0.10.9
Requires: dvb-apps
Requires: gstreamer0.10-python

%description
DVB Daemon is a daemon written in Vala to setup your DVB devices, 
record TV shows and browse EPG. It can be controlled via its D-Bus interface.

%prep
%setup -q
%patch -p1 -b .scan
%patch1 -p1

%build
%configure2_5x  --enable-totem-plugin

%make

%install
rm -rf $RPM_BUILD_ROOT 
%makeinstall_std
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root,-)
%_bindir/*
%py_puresitedir/gnomedvb
%_datadir/dbus-1/services/*.service
%_libdir/totem/plugins/dvb-daemon


%changelog
* Thu Oct 15 2009 Götz Waschk <waschk@mandriva.org> 0.1.12-1mdv2010.0
+ Revision: 457507
- new version
- update source URL
- reenable format string error

* Thu Oct 08 2009 Götz Waschk <waschk@mandriva.org> 0.1.11-1mdv2010.0
+ Revision: 456049
- new version
- rediff patch 0

* Thu Oct 01 2009 Götz Waschk <waschk@mandriva.org> 0.1.10-1mdv2010.0
+ Revision: 452090
- new version
- update build deps
- disable format string error checking

* Mon Aug 24 2009 Götz Waschk <waschk@mandriva.org> 0.1.9-1mdv2010.0
+ Revision: 420433
- fix python dir
- new version
- drop patch 2

* Fri Aug 07 2009 Götz Waschk <waschk@mandriva.org> 0.1.8.1-2mdv2010.0
+ Revision: 411114
- install all python modules in the arch-dependant dir

* Fri Aug 07 2009 Götz Waschk <waschk@mandriva.org> 0.1.8.1-1mdv2010.0
+ Revision: 411083
- fix python path on 64 bit
- new version
- update deps
- rediff the patch
- port to libgee 0.3

* Sat May 16 2009 Götz Waschk <waschk@mandriva.org> 0.1.7-1mdv2010.0
+ Revision: 376468
- new version
- update build deps

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 0.1.5-1mdv2009.1
+ Revision: 347538
- update deps
- update to new version 0.1.5

* Tue Feb 24 2009 Frederic Crozat <fcrozat@mandriva.com> 0.1.4-3mdv2009.1
+ Revision: 344451
- Package totem plugin
- Fix patch0

* Mon Feb 23 2009 Götz Waschk <waschk@mandriva.org> 0.1.4-2mdv2009.1
+ Revision: 344176
- fix scan dir (bug #48156)

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 0.1.4-1mdv2009.1
+ Revision: 341237
- update to new version 0.1.4

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 0.1.3-1mdv2009.1
+ Revision: 336530
- new version
- update deps
- drop patches
- disable Werror
- update file list

* Tue Jan 06 2009 Funda Wang <fundawang@mandriva.org> 0.1.0-2mdv2009.1
+ Revision: 325449
- fix str fmt

* Thu Dec 04 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.0-1mdv2009.1
+ Revision: 309903
- import gnome-dvb-daemon


